Create a view for a solution.
Create a new view (saved query) for a solution.
POST
/api/solutions/{solutionId}/viewsPath parameters
solutionIdstringrequiredBody
namestringrequireddescriptionstringdatasetstringrequiredselectstringorderstringqstringRequest
curl
curl -X POST https://platform.trickest.com/api/solutions/{solutionId}/views \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
201View created successfully
idstringrequirednamestringrequireddescriptionstringdatasetstringsolutionstringselectstringorderstringqstringcreated_datestringmodified_datestring400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring